import java.applet.Applet;
import java.awt.*;

// =======================================
// CombiFrame
// =======================================
public class CombiFrame extends Applet
{
  FrameWindow frame;
  static boolean bConsoleMode = false;
  
  public CombiFrame()
  {
    super();
  }
  
  public static void main(String args[])
  {
    CombiFrame app;
    bConsoleMode = true;
    
    app = new CombiFrame();
    app.init();
  }

  public void init()
  {
    frame =  new FrameWindow(
      "Frame window", bConsoleMode);
    frame.show();
  }
  
  public void destroy()
  {
    frame.hide();
  }
  
  public String getAppletInfo()
  {
    return "Name: CombiFrame";
  }
  
  public void paint(Graphics g)
  {
    g.drawString("CombiFrame", 10, 30);
  }
}

// =======================================
// FrameWindow
// =======================================
class FrameWindow extends Frame
{
  boolean bConsoleMode = false;
  
  public FrameWindow(String szTitle, 
    boolean bMode)
  {
    super(szTitle);
    bConsoleMode = bMode;
    
    resize(200, 90);
    setBackground(Color.yellow);
    setForeground(Color.black);
  }

  public void paint(Graphics g)
  {
    g.setFont(new Font(
      "Helvetica", Font.PLAIN, 12));
    g.drawString("Text in frame window", 10, 50);
    super.paint(g);
  }
  
  public boolean handleEvent(Event evt)
  {
    if(evt.id == Event.WINDOW_DESTROY)
    {
      setVisible(false);
      
      if(bConsoleMode)
         System.exit(0);

      return true;
    }
    else
      return super.handleEvent(evt);
  }
}

